Skip to main content
PATCH
/
v1
/
characters
/
{id}
Update a character
curl --request PATCH \
  --url https://api.alakazam.gg/v1/characters/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "cover": "<string>",
  "persona": "<string>",
  "scene": "<string>",
  "greeting": "<string>",
  "lore": "<string>",
  "examples": "<string>",
  "voiceId": "<string>",
  "modelId": "<string>",
  "free": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "slug": "<string>",
  "name": "<string>",
  "description": "<string>",
  "cover": "<string>",
  "voiceId": "<string>",
  "modelId": "<string>",
  "free": true,
  "greeting": "<string>",
  "intro": {},
  "stances": [
    {
      "id": "<string>",
      "label": "<string>",
      "mood": "<string>"
    }
  ],
  "persona": "<string>",
  "scene": "<string>",
  "lore": "<string>",
  "examples": "<string>",
  "schemaVersion": "1.0"
}

Authorizations

Authorization
string
header
required

An app API key, e.g. Authorization: Bearer sk_live_…. Secret (sk_) for writes/sessions; publishable (pk_) for read/embed.

Path Parameters

id
string<uuid>
required

Body

application/json
name
string
description
string
cover
string
visibility
enum<string>
Available options:
private,
unlisted,
public
persona
string
scene
string
greeting
string
lore
string
examples
string
voiceId
string
modelId
string
free
boolean

Response

Updated character

A character (owner view). The brain (persona/lore) is included for the owning app, but NEVER leaves the server on the embed path.

id
string<uuid>
slug
string | null
name
string
description
string
cover
string | null
visibility
enum<string>
Available options:
private,
unlisted,
public
voiceId
string | null
modelId
string | null
free
boolean
greeting
string | null
intro
object
stances
object[]
persona
string
scene
string | null
lore
string | null
examples
string | null
schemaVersion
string
Example:

"1.0"